SpecialFolder (install4j API)
Description: declaration: package: com.install4j.api.windows, enum: SpecialFolder

Package com.install4j.api.windows

# Enum Class SpecialFolder

java.lang.Object
java.lang.Enum<SpecialFolder>
com.install4j.api.windows.SpecialFolder

All Implemented Interfaces:
  `Serializable`, `Comparable<SpecialFolder>`, `Constable`

public enum SpecialFolder extends Enum<SpecialFolder>
Enumeration class for the different special system folders in Microsoft Windows.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `APPDATA`
  The directory that serves as a common repository for application-specific data.
  `DESKTOP`
  The directory used to store file objects on the desktop.
  `DOCS`
  The directory used to physically store a user's common repository of documents.
  `FAVORITES`
  The directory that serves as a common repository for the user's favorite items.
  `FONTS`
  Identifies a virtual folder containing fonts.
  `LOCAL_APPDATA`
  The directory that serves as a data repository for local applications.
  `LOCAL_APPDATA_LOW`
  The directory that serves as a data repository for local applications with low access rights.
  `PROGRAM_FILES`
  The directory that program files should be installed to.
  `PROGRAM_FILES_COMMON`
  The directory that shared program files should be installed to.
  `PROGRAMS`
  The directory that contains the user's start menu entries.
  `SENDTO`
  The directory that contains Send To menu items.
  `STARTMENU`
  The directory containing Start menu items.
  `STARTUP`
  The directory that corresponds to the user's Startup start menu folder.
  `TEMPLATES`
  The directory that serves as a common repository for document templates.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SpecialFolder`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SpecialFolder[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DESKTOP

    public static final SpecialFolder DESKTOP
    The directory used to store file objects on the desktop. A typical path is `C:\Users\<i>user name</i>\Desktop`.

  - ### STARTMENU

    public static final SpecialFolder STARTMENU
    The directory containing Start menu items. A typical path is `C:\Users\<i>user name</i>\AppData\Roaming\Microsoft\Windows\Start Menu`.

  - ### PROGRAMS

    public static final SpecialFolder PROGRAMS
    The directory that contains the user's start menu entries. The groups are themselves file system directories. A typical path is `C:\Users\<i>user name</i>\AppData\Roaming\Microsoft\Windows\Start Menu\Programs`.

  - ### STARTUP

    public static final SpecialFolder STARTUP
    The directory that corresponds to the user's Startup start menu folder. A typical path is `C:\Users\<i>user name</i>\AppData\Roaming\Microsoft\Windows\Start Menu\Programs\Startup`.

  - ### SENDTO

    public static final SpecialFolder SENDTO
    The directory that contains Send To menu items. A typical path is `C:\Users\<i>user name</i>\AppData\Roaming\Microsoft\Windows\SendTo`.

  - ### FONTS

    public static final SpecialFolder FONTS
    Identifies a virtual folder containing fonts. A typical path is `C:\Windows\Fonts`.

  - ### APPDATA

    public static final SpecialFolder APPDATA
    The directory that serves as a common repository for application-specific data. A typical path is `C:\Users\<i>user name</i>\AppData\Roaming`.

  - ### DOCS

    public static final SpecialFolder DOCS
    The directory used to physically store a user's common repository of documents. A typical path is `C:\Users\<i>user name</i>\Documents`.

  - ### TEMPLATES

    public static final SpecialFolder TEMPLATES
    The directory that serves as a common repository for document templates. A typical path is `C:\Users\<i>user name</i>\AppData\Roaming\Microsoft\Windows\Templates`.

  - ### FAVORITES

    public static final SpecialFolder FAVORITES
    The directory that serves as a common repository for the user's favorite items. A typical path is `C:\Users\<i>user name</i>\Favorites`.

  - ### LOCAL_APPDATA

    public static final SpecialFolder LOCAL_APPDATA
    The directory that serves as a data repository for local applications. A typical path is `C:\Users\<i>user name</i>\AppData\Local`.

  - ### LOCAL_APPDATA_LOW

    public static final SpecialFolder LOCAL_APPDATA_LOW
    The directory that serves as a data repository for local applications with low access rights. A typical path is `C:\Users\<i>user name</i>\AppData\LocalLow`.

  - ### PROGRAM_FILES

    public static final SpecialFolder PROGRAM_FILES
    The directory that program files should be installed to. A typical path is `C:\Users\<i>user name</i>\AppData\Local\Programs`.

  - ### PROGRAM_FILES_COMMON

    public static final SpecialFolder PROGRAM_FILES_COMMON
    The directory that shared program files should be installed to. A typical path is `C:\Users\<i>user name</i>\AppData\Local\Programs\Common`.

- ## Method Details

  - ### values

    public static SpecialFolder[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SpecialFolder valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null